import sys
import matplotlib.pyplot as plt
import seaborn as sns
import pandas as pd

csv_filename = sys.argv[1]
df = pd.read_csv(csv_filename)
sns.lineplot(data=df, x="cycle", y="fluorescence", hue="well")
png_filename = csv_filename + ".png"
plt.savefig(png_filename)